Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.jsp.tags.validators
Class CustomValidator

    java.lang.Object
      |
      +--weblogicx.jsp.tags.validators.ValidatableAdapter
            |
            +--weblogicx.jsp.tags.validators.ValidatableTagAdapter
                  |
                  +--weblogicx.jsp.tags.validators.CustomValidator

public class CustomValidator
extends ValidatableTagAdapter

Class implements the ValidatableTagAdapter and forms a wrapper around the Customizable classes. A Customizable Class is instantiated and method calls delegated to the particular instance.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogicx.jsp.tags.validators.ValidatableTagAdapter
`bodyContent, pageContext, parent`

Fields inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`errorMessage, fieldToValidate, isValid`

Constructor Summary
`CustomValidator()`

Method Summary
`Validatable` | `decodeHiddenField(java.lang.String stToDecode)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getExpression()`
`java.lang.String` | `getValidatorClass()`
`void` | `instantiateCustomClass(java.lang.String className)` instantiates the custom class
`void` | `release()`
`void` | `setExpression(java.lang.String exp)`
`void` | `setValidatorClass(java.lang.String vclass)`
`boolean` | `userExit()`
`boolean` | `validate(javax.servlet.ServletRequest req)`
`java.lang.String` | `writeHiddenField()`

Methods inherited from class weblogicx.jsp.tags.validators.ValidatableTagAdapter
`doAfterBody, doEndTag, doInitBody, doStartTag, getHiddenField, getParent, setBodyContent, setPageContext, setParent`

Methods inherited from class weblogicx.jsp.tags.validators.ValidatableAdapter
`defaultDecodeHiddenField, defaultWriteHiddenField, getErrorMessage, getFieldToValidate, isValid, setErrorMessage, setFieldToValidate, setIsValid`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomValidator

    public CustomValidator()

Method Detail

### setExpression

    public void setExpression(java.lang.String exp)

### setValidatorClass

    public void setValidatorClass(java.lang.String vclass)

### getExpression

    public java.lang.String getExpression()

### getValidatorClass

    public java.lang.String getValidatorClass()

### validate

    public boolean validate(javax.servlet.ServletRequest req)
                     throws java.lang.Exception

  Overrides:
    validate in class ValidatableAdapter

### writeHiddenField

    public java.lang.String writeHiddenField()

  Overrides:
    writeHiddenField in class ValidatableAdapter

### decodeHiddenField

    public Validatable decodeHiddenField(java.lang.String stToDecode)
                                  throws java.lang.Exception

  Overrides:
    decodeHiddenField in class ValidatableAdapter

### userExit

    public boolean userExit()
                     throws javax.servlet.jsp.JspException

  Overrides:
    userExit in class ValidatableTagAdapter

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### instantiateCustomClass

    public void instantiateCustomClass(java.lang.String className)
                                throws java.lang.ClassNotFoundException,
                                       java.lang.InstantiationException,
                                       java.lang.IllegalAccessException,
                                       UnImplementedException

  instantiates the custom class

  Parameters:
    `className` - to be instantiated

### release

    public void release()

  Overrides:
    release in class ValidatableTagAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD